~aparcar/openwrt-bugs-import-test-2#3972: 
Upgrade from ar71xx to ath79 fails on NETGEAR WNDR4300 (v1)

Reporting according to [[https://openwrt.org/docs/guide-user/installation/ar71xx.to.ath79|https://openwrt.org/docs/guide-user/installation/ar71xx.to.ath79]]

because from what I gather, that is probably the cause for the upgrade failure.

Model NETGEAR WNDR4300 Architecture Atheros AR9344 rev 2 Firmware Version OpenWrt 19.07.3 r11063-85e04e9f46 / LuCI openwrt-19.07 branch git-21.357.58233-6f349c9

sysupgrade -n openwrt-21.02.1-ath79-nand-netgear_wndr4300-squashfs-sysupgrade.bin

fails with Device wndr4300 not supported by this image Supported devices: netgear,wndr4300 Invalid sysupgrade file. Image check failed. Image downloaded from https://downloads.openwrt.org/releases/21.02.1/targets/ath79/nand/openwrt-21.02.1-ath79-nand-netgear_wndr4300-squashfs-sysupgrade.bin

Checked https://openwrt.org/docs/techref/targets/ar71xx-ath79

Also tried the SNAPSHOT from https://downloads.openwrt.org/snapshots/targets/ath79/nand/openwrt-ath79-nand-netgear_wndr4300-squashfs-sysupgrade.bin

sysupgrade -T openwrt-ath79-nand-netgear_wndr4300-squashfs-sysupgrade.bin Device wndr4300 not supported by this image Supported devices: netgear,wndr4300 Invalid sysupgrade file. Image check failed.

dmesg output attached.

And last, but not least, thanks for this excellent project. /Yan

Status
REPORTED
Submitter
bugs.openwrt.org:metayan (unverified)
Assigned to
No-one
Submitted
2 years ago
Updated
2 years ago
Labels
No labels applied.